#ifndef CMWCOMPIOIN_H
#define CMWCOMPIOIN_H

#include <QGridLayout>
#include <QLabel>
#include <QList>
#include <QIcon>
#include "cmwidget.h"

class CMWCompIOIn : public CMWidget
{
    Q_OBJECT
public:
    explicit CMWCompIOIn(QWidget *parent ,int iStartIO,int iEndIO);
    void MInit();
    void MTimeFresh();
    void showEvent(QShowEvent * pEvent);
    void hideEvent(QHideEvent *event);
private:
    QGridLayout* m_pGridLayOut;
    typedef struct _IOCTRL
    {
        int iIOIndex;
        int set;
        QLabel* pLabel_icon;
        QLabel* pLabel_text;
        _IOCTRL()
        {
            iIOIndex=0;
            set=false;
            pLabel_icon=0;
            pLabel_text=0;
        }
    }IOCTRL;
    QVector<IOCTRL> m_vIO;
    QPixmap icon_off;
    QPixmap icon_blue;
signals:

public slots:
};

#endif // CMWCOMPIOIN_H
